Skip to main content
POST
Create model
You are reading the docs of Galtea 5.13. Read this page in the latest version.

Authorizations

Authorization
string
header
required

API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....

Body

application/json
id
string
Example:

"model_123"

organizationId
string | null
Example:

"org_123"

userId
string | null
Example:

"user_123"

name
string
Example:

"GPT-4"

inputCostPerToken
number | null
Example:

0.00001

outputCostPerToken
number | null
Example:

0.00003

cacheReadInputTokenCost
number | null
Example:

0.000005

cacheCreationInputTokenCost
number | null
Example:

0.000015

inputCostPerTokenAbove128kTokens
number | null
Example:

0.00002

outputCostPerTokenAbove128kTokens
number | null
Example:

0.00006

tokenizerProvider
string | null
Example:

"OPENAI"

source
enum<string> | null
Available options:
PREDEFINED,
CUSTOM
Example:

"PREDEFINED"

createdAt
string<date-time>
deletedAt
string<date-time> | null

Response

Model created successfully

id
string
Example:

"model_123"

organizationId
string | null
Example:

"org_123"

userId
string | null
Example:

"user_123"

name
string
Example:

"GPT-4"

inputCostPerToken
number | null
Example:

0.00001

outputCostPerToken
number | null
Example:

0.00003

cacheReadInputTokenCost
number | null
Example:

0.000005

cacheCreationInputTokenCost
number | null
Example:

0.000015

inputCostPerTokenAbove128kTokens
number | null
Example:

0.00002

outputCostPerTokenAbove128kTokens
number | null
Example:

0.00006

tokenizerProvider
string | null
Example:

"OPENAI"

source
enum<string> | null
Available options:
PREDEFINED,
CUSTOM
Example:

"PREDEFINED"

createdAt
string<date-time>
deletedAt
string<date-time> | null